Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher.application
Class DefaultMuleApplication

    java.lang.Object
      org.mule.module.launcher.application.DefaultMuleApplication

All Implemented Interfaces:
  Application

Direct Known Subclasses:
  PriviledgedMuleApplication

    public class DefaultMuleApplication

extends Object
implements Application

Nested Class Summary
`protected class` | `DefaultMuleApplication.ConfigFileWatcher`

Field Summary
`protected String[]` | `absoluteResourcePaths`
`protected static String` | `ANCHOR_FILE_BLURB`
`protected static int` | `DEFAULT_RELOAD_CHECK_INTERVAL_MS`
`protected Log` | `logger`
`protected ScheduledExecutorService` | `watchTimer`

Constructor Summary
`protected` | `DefaultMuleApplication(String appName)`

Method Summary
`protected void` | `createDeploymentClassLoader()`
`protected void` | `createRedeployMonitor()`
`void` | `dispose()`
`String` | `getAppName()`
`ClassLoader` | `getDeploymentClassLoader()`
`ApplicationDescriptor` | `getDescriptor()`
`MuleContext` | `getMuleContext()`
`void` | `init()`
`void` | `install()`
`void` | `redeploy()`
`protected void` | `scheduleConfigMonitor(AbstractFileWatcher watcher)`
`void` | `setAppName(String appName)`
`void` | `start()`
`void` | `stop()`
`protected File` | `toAbsoluteFile(String path)` Resolve a resource relative to an application root.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_RELOAD_CHECK_INTERVAL_MS

    protected static final int DEFAULT_RELOAD_CHECK_INTERVAL_MS

See Also:
  Constant Field Values

### ANCHOR_FILE_BLURB

    protected static final String ANCHOR_FILE_BLURB

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

### watchTimer

    protected ScheduledExecutorService watchTimer

### absoluteResourcePaths

    protected String[] absoluteResourcePaths

Constructor Detail

### DefaultMuleApplication

    protected DefaultMuleApplication(String appName)

Method Detail

### install

    public void install()

  Specified by:
    `install` in interface `Application`

### getAppName

    public String getAppName()

  Specified by:
    `getAppName` in interface `Application`

### getDescriptor

    public ApplicationDescriptor getDescriptor()

  Specified by:
    `getDescriptor` in interface `Application`

### setAppName

    public void setAppName(String appName)

### start

    public void start()

  Specified by:
    `start` in interface `Application`

### init

    public void init()

  Specified by:
    `init` in interface `Application`

### getMuleContext

    public MuleContext getMuleContext()

  Specified by:
    `getMuleContext` in interface `Application`

### getDeploymentClassLoader

    public ClassLoader getDeploymentClassLoader()

  Specified by:
    `getDeploymentClassLoader` in interface `Application`
  Returns:
    a classloader associated with this deployment

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Application`

### redeploy

    public void redeploy()

  Specified by:
    `redeploy` in interface `Application`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Application`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createDeploymentClassLoader

    protected void createDeploymentClassLoader()

### createRedeployMonitor

    protected void createRedeployMonitor()
                                  throws NotificationException

  Throws:
    `NotificationException`

### scheduleConfigMonitor

    protected void scheduleConfigMonitor(AbstractFileWatcher watcher)

### toAbsoluteFile

    protected File toAbsoluteFile(String path)

  Resolve a resource relative to an application root.

  Parameters:
    `path` - the relative path to resolve
  Returns:
    absolute path, may not actually exist (check with File.exists())

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.